Query Projects
curl --request POST \
--url https://api.virtuoussoftware.com/api/Project/Query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"groups": [
{
"conditions": [
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
},
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
}
]
},
{
"conditions": [
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
},
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
}
]
}
],
"sortBy": "<string>",
"descending": "<boolean>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
groups: [
{
conditions: [
{
parameter: '<string>',
operator: '<string>',
value: '<string>',
secondaryValue: '<string>',
values: ['<string>', '<string>']
},
{
parameter: '<string>',
operator: '<string>',
value: '<string>',
secondaryValue: '<string>',
values: ['<string>', '<string>']
}
]
},
{
conditions: [
{
parameter: '<string>',
operator: '<string>',
value: '<string>',
secondaryValue: '<string>',
values: ['<string>', '<string>']
},
{
parameter: '<string>',
operator: '<string>',
value: '<string>',
secondaryValue: '<string>',
values: ['<string>', '<string>']
}
]
}
],
sortBy: '<string>',
descending: '<boolean>'
})
};
fetch('https://api.virtuoussoftware.com/api/Project/Query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Project/Query"
payload = {
"groups": [{ "conditions": [
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": ["<string>", "<string>"]
},
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": ["<string>", "<string>"]
}
] }, { "conditions": [
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": ["<string>", "<string>"]
},
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": ["<string>", "<string>"]
}
] }],
"sortBy": "<string>",
"descending": "<boolean>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Project/Query");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"groups\": [\n {\n \"conditions\": [\n {\n \"parameter\": \"<string>\",\n \"operator\": \"<string>\",\n \"value\": \"<string>\",\n \"secondaryValue\": \"<string>\",\n \"values\": [\n \"<string>\",\n \"<string>\"\n ]\n },\n {\n \"parameter\": \"<string>\",\n \"operator\": \"<string>\",\n \"value\": \"<string>\",\n \"secondaryValue\": \"<string>\",\n \"values\": [\n \"<string>\",\n \"<string>\"\n ]\n }\n ]\n },\n {\n \"conditions\": [\n {\n \"parameter\": \"<string>\",\n \"operator\": \"<string>\",\n \"value\": \"<string>\",\n \"secondaryValue\": \"<string>\",\n \"values\": [\n \"<string>\",\n \"<string>\"\n ]\n },\n {\n \"parameter\": \"<string>\",\n \"operator\": \"<string>\",\n \"value\": \"<string>\",\n \"secondaryValue\": \"<string>\",\n \"values\": [\n \"<string>\",\n \"<string>\"\n ]\n }\n ]\n }\n ],\n \"sortBy\": \"<string>\",\n \"descending\": \"<boolean>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/Project/Query';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
groups: [
{
conditions: [
{
parameter: '<string>',
operator: '<string>',
value: '<string>',
secondaryValue: '<string>',
values: ['<string>', '<string>']
},
{
parameter: '<string>',
operator: '<string>',
value: '<string>',
secondaryValue: '<string>',
values: ['<string>', '<string>']
}
]
},
{
conditions: [
{
parameter: '<string>',
operator: '<string>',
value: '<string>',
secondaryValue: '<string>',
values: ['<string>', '<string>']
},
{
parameter: '<string>',
operator: '<string>',
value: '<string>',
secondaryValue: '<string>',
values: ['<string>', '<string>']
}
]
}
],
sortBy: '<string>',
descending: '<boolean>'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"list": [
{
"id": "<integer>",
"name": "<string>",
"projectCode": "<string>",
"externalAccountingCode": "<string>",
"onlineDisplayName": "<string>",
"description": "<string>",
"photoUrl": "<string>",
"parentId": "<integer>",
"parentName": "<string>",
"isSubProject": "<boolean>",
"inventoryStatus": "<string>",
"type": "<string>",
"location": "<string>",
"isRestrictedToGiftSpecifications": "<boolean>",
"isLimitedToFinancialNeed": "<boolean>",
"isPublic": "<boolean>",
"isActive": "<boolean>",
"isAvailableOnline": "<boolean>",
"isTaxDeductible": "<boolean>",
"treatAsAccountsPayable": "<boolean>",
"beginningBalance": "<double>",
"currentBalance": "<double>",
"financialNeedType": "<string>",
"financialNeedFrequency": "<string>",
"financialNeedAmount": "<double>",
"startDate": "<dateTime>",
"endDate": "<dateTime>",
"durationType": "<string>",
"lifeToDateGiving": "<double>",
"lifeToDateGiftCount": "<integer>",
"lifeToDateGiversCount": "<integer>",
"lifeToDateExpenseTotal": "<double>",
"calendarYearToDateGiving": "<double>",
"calendarYearToDateGiftCount": "<integer>",
"calendarYearToDateGiversCount": "<integer>",
"calendarYearToDateExpenseTotal": "<double>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>",
"giftSpecifications": [
{
"amount": "<double>",
"frequency": "<string>"
},
{
"amount": "<double>",
"frequency": "<string>"
}
],
"customFields": "<object>"
},
{
"id": "<integer>",
"name": "<string>",
"projectCode": "<string>",
"externalAccountingCode": "<string>",
"onlineDisplayName": "<string>",
"description": "<string>",
"photoUrl": "<string>",
"parentId": "<integer>",
"parentName": "<string>",
"isSubProject": "<boolean>",
"inventoryStatus": "<string>",
"type": "<string>",
"location": "<string>",
"isRestrictedToGiftSpecifications": "<boolean>",
"isLimitedToFinancialNeed": "<boolean>",
"isPublic": "<boolean>",
"isActive": "<boolean>",
"isAvailableOnline": "<boolean>",
"isTaxDeductible": "<boolean>",
"treatAsAccountsPayable": "<boolean>",
"beginningBalance": "<double>",
"currentBalance": "<double>",
"financialNeedType": "<string>",
"financialNeedFrequency": "<string>",
"financialNeedAmount": "<double>",
"startDate": "<dateTime>",
"endDate": "<dateTime>",
"durationType": "<string>",
"lifeToDateGiving": "<double>",
"lifeToDateGiftCount": "<integer>",
"lifeToDateGiversCount": "<integer>",
"lifeToDateExpenseTotal": "<double>",
"calendarYearToDateGiving": "<double>",
"calendarYearToDateGiftCount": "<integer>",
"calendarYearToDateGiversCount": "<integer>",
"calendarYearToDateExpenseTotal": "<double>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>",
"giftSpecifications": [
{
"amount": "<double>",
"frequency": "<string>"
},
{
"amount": "<double>",
"frequency": "<string>"
}
],
"customFields": "<object>"
}
],
"total": "<integer>"
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Project Queries
Query Projects
To see which options can be sent, use the {M:Virtuous.WebApi.Controllers.ProjectController.QueryOptions} endpoint.
If you're going to consistently query for updated projects or new projects, don't. Use a webhook instead.
If requests are timing out, you may be asking for too many items at once. The max take is 1,000.
POST
/
api
/
Project
/
Query
Query Projects
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The number of records to skip. Default = 0.
The number of records to take. Default = 10. Max is 1000.
Body
application/json
Last modified on April 23, 2026
Was this page helpful?
⌘I